%define upstream_name    autobox-Transform
%define upstream_version 1.035

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Autobox methods to transform Arrays and Hashes
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/autobox/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Moo)
BuildRequires: perl(Sort::Maker)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(autobox)
BuildRequires: perl(autobox::Core)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
'autobox::Transform' provides high level autobox methods you can call on
arrays, arrayrefs, hashes and hashrefs.

Transforming lists of objects vs list of hashrefs
    'map_by', 'filter_by' 'order_by' etc. (all methods named '*_by') work
    with sets of hashrefs or objects.

    These methods are called the same way regardless of whether the array
    contains objects or hashrefs. The items in the list must be either all
    objects or all hashrefs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Aug 01 2020 tv <tv> 1.35.0-1.mga8
+ Revision: 1610101
- update to 1.035

* Mon Feb 17 2020 umeabot <umeabot> 1.34.0-2.mga8
+ Revision: 1537371
- Mageia 8 Mass Rebuild

* Wed Oct 30 2019 tv <tv> 1.34.0-1.mga8
+ Revision: 1456726
- imported package perl-autobox-Transform

